Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class ThreadMetaData

    java.lang.Object
      org.jboss.aop.metadata.ThreadMetaData

All Implemented Interfaces:
  MetaDataResolver

public class ThreadMetaData
extends Object
implements MetaDataResolver

Metadata can be associated with a Thread of execution. This class manages this thread metadata. It is a singleton instance wrapped by a ThreadLocal. Invocations usually have this repository as part of their MetaDataResolver chain

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.aop.metadata.MetaDataResolver
`EMPTY_TAG`

Constructor Summary
`ThreadMetaData()`

Method Summary
`void` | `addMetaData(Object tag, Object attr, Object value)`
`void` | `addMetaData(Object tag, Object attr, Object value, PayloadKey type)`
`void` | `clear()`
`SimpleMetaData` | `getAllMetaData(Invocation invocation)` Get all metadata that belong with the context of this invocation
`Object` | `getMetaData(Object tag, Object attr)`
`static ThreadMetaData` | `instance()`
`void` | `removeGroupData(Object tag)`
`void` | `removeMetaData(Object tag, Object attr)`
`Object` | `resolve(Invocation invocation, Object tag, Object attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadMetaData

    public ThreadMetaData()

Method Detail

### addMetaData

    public void addMetaData(Object tag,
                            Object attr,
                            Object value)

### addMetaData

    public void addMetaData(Object tag,
                            Object attr,
                            Object value,
                            PayloadKey type)

### getMetaData

    public Object getMetaData(Object tag,
                              Object attr)

### removeMetaData

    public void removeMetaData(Object tag,
                               Object attr)

### removeGroupData

    public void removeGroupData(Object tag)

### resolve

    public Object resolve(Invocation invocation,
                          Object tag,
                          Object attr)

  Specified by:
    `resolve` in interface `MetaDataResolver`

### getAllMetaData

    public SimpleMetaData getAllMetaData(Invocation invocation)

  Description copied from interface: `MetaDataResolver`
  Get all metadata that belong with the context of this invocation

  Specified by:
    `getAllMetaData` in interface `MetaDataResolver`

### clear

    public void clear()

### instance

    public static ThreadMetaData instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.